Analytics
Export analytics as CSV
GET
/analytics/exportNeedsanalytics.exportStreams a UTF-8 CSV. Cells that could run as spreadsheet formulas are prefixed with '.
Authorization
secretKeyheader
AuthorizationBearer <sk_…>A secret API key from Settings → API keys. It acts with its creator's role.
Query Parameters
dataset*stringWhat to export.
Value in
"events""content""steps"days?integerTime window in days.
Default
30Value in
73090Response Body
CSV file
response?stringtext/csvShell
curl -X GET 'https://app.cueston.com/api/analytics/export?dataset=events'Example Response
JSON
"string"